<?php

namespace App\Http\Controllers\Intranet;

use App\Models\Company;
use App\Models\Domain;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CompanyController extends Controller
{
    public function index(){
        $datas = Company::all();
        return view('intranet.company.index', compact('datas'));
    }

    public function show($id){
        return $this->destroy($id);
    }

    public function create(){
        $datas = Company::all();
        $domains = Domain::all();
        return view('intranet.company.create', compact('datas', 'domains'));
    }

    public function store(Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $data['photo'] = $request->file('photo')->hashName();
            $request->file('photo')->move(public_path('storage/uploads/companies'), $data['photo']);
        }
        Company::create($data);
        return $this->index();
    }

    public function edit($id){
        $data = Company::find($id);
        $domains = Domain::all();
        return view('intranet.company.edit', compact('data', 'domains'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $data['photo'] = $request->file('photo')->hashName();
            $request->file('photo')->move(public_path('storage/uploads/companies'), $data['photo']);
        }
        Company::find($id)->update($data);
        return $this->index();
    }

    public function destroy($id){
        Company::find($id)->delete();
        return $this->index();
    }

    public function showX($id){
        $data = Company::find($id);
        return view('intranet.company.show', compact('data'));
    }
}
