<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOffersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('offers', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->string('type');
            $table->text('description');
            $table->date('date_begin');
            $table->date('date_end');
            $table->string('referency');
            $table->string('hours');
            $table->string('salary_min');
            $table->string('salary_max');
            $table->string('study_grade');
            $table->text('skills');
            $table->string('company_dimension')->nullable();
            $table->string('company_type')->nullable();
            $table->string('company_name');
            $table->string('website')->nullable();
            $table->text('company_description');
            $table->text('contacts');
            $table->dateTime('date_engage');
            $table->integer('posttype_id');
            $table->integer('contracttype_id');
            $table->integer('domain_id');
            $table->integer('recruiter_id');
            $table->string('address')->nullable();
            $table->string('workmode');
            $table->boolean('sponsorized')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('offers');
    }
}
