<?php

namespace App\Http\Controllers\Intranet;

use App\Models\Contracttype;
use App\Models\Domain;
use App\Models\Grade;
use App\Models\Offer;
use App\Models\Posttype;
use App\Models\Postulate;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class OfferController extends Controller
{
    public function index($msg = null){
        $datas = Offer::all();
        $postulates = Postulate::all();
        $user = Auth::user();
        return view('intranet.offer.index', compact('datas', 'postulates', 'user', 'msg'));
    }

    public function show($id){
        return $this->destroy($id);
    }

    public function create(){
        $datas = Offer::all();
        $domains = Domain::all();
        $posttypes = Posttype::all();
        $contracttypes = Contracttype::all();
        $grades = Grade::all();

        return view('intranet.offer.create', compact('datas', 'domains', 'posttypes', 'contracttypes', 'grades'));
    }

    public function store(Request $request){
        $data = $request->all();
        $data['recruiter_id'] = auth()->user()->recruiter()->id;
        Offer::create($data);
        return $this->index();
    }

    public function edit($id){
        $data = Offer::find($id);
        $domains = Domain::all();
        $posttypes = Posttype::all();
        $contracttypes = Contracttype::all();
        $grades = Grade::all();

        return view('intranet.offer.edit', compact('data', 'domains', 'posttypes', 'contracttypes', 'grades'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $data['photo'] = $request->file('photo')->hashName();
            $request->file('photo')->move(public_path('storage/uploads/companies'), $data['photo']);
        }
        Offer::find($id)->update($data);
        $msg = "Modification effectuée avec succès";
        return $this->index($msg);
    }

    public function destroy($id){
        Offer::find($id)->delete();
        $msg = "Suppression effectuée avec succès";
        return $this->index($msg);
    }

    public function showX($id){
        $data = Offer::find($id);
        $postulates = Postulate::all();
        return view('intranet.offer.show', compact('data', 'postulates'));
    }
}
