<?php

namespace App\Http\Controllers\Intranet;

use App\Models\Candidate;
use App\Models\Postulate;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PostulateController extends Controller
{
    public function index($msg = null){
        $datas = Postulate::all();
        return view('intranet.postulate.index', compact('datas', 'msg'));
    }

    public function show($id){
        return $this->destroy($id);
    }

    public function create(){
        $datas = Postulate::all();
        $domains = Domain::all();
        return view('intranet.postulate.create', compact('datas', 'domains'));
    }

    public function store(Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $data['photo'] = $request->file('photo')->hashName();
            $request->file('photo')->move(public_path('storage/uploads/postulates'), $data['photo']);
        }
        Postulate::create($data);
        return $this->index();
    }

    public function postulate(Request $request){
        $data = $request->all();
        $data['validate'] = 0;
        if(isset($data['motivation'])){
            $data['motivation'] = $request->file('motivation')->hashName();
            $request->file('motivation')->move(public_path('storage/uploads/motivations'), $data['motivation']);
        }
        $data['candidate_id'] = auth()->user()->candidate() ? auth()->user()->candidate()->id : 0;
        $insert = Postulate::create($data);
        if($insert){
            $msg = "Offre postulée avec succès";
        }else{
            $msg = "Erreur. Veuillez réessayer svp";
        }
        return $this->index($msg);
    }

    public function destroy($id){
        Postulate::find($id)->delete();
        $msg = "Suppression effectuée avec succès";
        return $this->index($msg);
    }

}
