<?php

namespace App\Http\Controllers\Intranet;

use App\Models\Candidate;
use App\Models\Domain;
use App\Models\Recruiter;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UserController extends Controller
{
    public function edit($id, $msg = null){
        $candidate = Candidate::where('user_id', $id)->first();
        $recruiter = Recruiter::where('user_id', $id)->first();
        $user = User::find($id);
        $domains = Domain::all();
        $data = (object) ['candidate' => $candidate, 'recruiter' => $recruiter, 'user' => $user, 'domains' => $domains];
        return view('intranet.user.edit', compact('data', 'msg'));
    }

    public function update($id, Request $request){
        $data = $request->all();

        if($data['password']) $data['password'] = bcrypt($data['password']);

        if(isset($data['photo'])){
            $data['photo'] = $request->file('photo')->hashName();
            $request->file('photo')->move(public_path('storage/uploads/candidates'), $data['photo']);
        }

        if(isset($data['grade_file'])){
            $data['grade_file'] = $request->file('grade_file')->hashName();
            $request->file('grade_file')->move(public_path('storage/uploads/grades'), $data['grade_file']);
        }

        if(isset($data['cv'])){
            $data['cv'] = $request->file('cv')->hashName();
            $request->file('cv')->move(public_path('storage/uploads/cvs'), $data['cv']);
        }

        if(isset($data['card'])){
            $data['card'] = $request->file('card')->hashName();
            $request->file('card')->move(public_path('storage/uploads/cards'), $data['card']);
        }

        User::find($id)->update($data);

        if(auth()->user()->isCandidate()){
            Candidate::where('user_id', $id)->update($data);
        }elseif(auth()->user()->isRecruiter()){
            Recruiter::where('user_id', $id)->update($data);
        }else{

        }

        $msg = 'Profil mis à jour avec succès';

        return $this->edit($id, $msg);
    }
}
