<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Offer extends Model
{
    protected $table = 'offers';

    protected $fillable = ['name', 'type', 'description', 'date_begin',
                            'date_end', 'referency', 'hours', 'salary_min',
                            'salary_max', 'study_grade', 'skills', 'company_dimension',
                            'company_type', 'company_name', 'website', 'company_description',
                            'contacts', 'date_engage', 'posttype_id', 'contracttype_id', 'domain_id',
                            'recruiter_id', 'address', 'workmode', 'sponsorized', 'grade_id'
                            ];

    protected $dates = ['date_begin', 'date_end', 'date_engage'];

    public function postulate(){
        return $this->belongsTo(Postulate::class);
    }

    public function recruiter(){
        return $this->belongsTo(Recruiter::class);
    }

    public function domain(){
        return $this->belongsTo(Domain::class);
    }

    public function grade(){
        return $this->belongsTo(Grade::class);
    }

    public function isBusy(){
        $postulates = Postulate::all();
        foreach($postulates as $postulate){
            if($postulate->offer_id == $this->id){
                return true;
            }
        }
        return false;
    }
}
