<?php

namespace App;

use App\Models\Candidate;
use App\Models\Recruiter;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'type', 'telephone', 'address',
        'role', 'photo', 'card', 'cv', 'grade', 'grade_file'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function isAdmin(){
        return $this->role == 'admin';
    }

    public function isCandidate(){
        return $this->type == 'Candidat';
    }

    public function isRecruiter(){
        return $this->type == 'Recruteur';
    }

    public function candidate(){
        $candidates = Candidate::all();
        foreach ($candidates as $candidate){
            if ($candidate->user_id == $this->id) return $candidate;
        }
        return null;
    }

    public function recruiter(){
        $recruiters = Recruiter::all();
        foreach ($recruiters as $recruiter){
            if ($recruiter->user_id == $this->id) return $recruiter;
        }
        return ['id' => 1];
    }
}
