@extends('extranet.layouts.app')

@section('content')
    <!-- Content Area Start
    ====================================================== -->
    <section class="content-area-sec">
        <!-- Start:Contact Info -->
        <div class="container">
            <div class="contact-area">
                <div class="content-area">
                    <!-- Start:Map Area -->
                    <div class="map-area">
                        <div id="map"></div>
                    </div>
                    <!-- End:Map Area -->

                    <!-- Start:Contact Details Area -->
                    <div class="contact-details-area">
                        <!-- Start:Phone Number -->
                        <div class="col-md-4">
                            <div class="features-box">
                                <div class="features-icon"><i class="fa fa-phone"></i></div>
                                <div class="features-text">
                                    <h6>Téléphone</h6>
                                    <p>Nous sommes ravis de vous répondre à tout moment</p>
                                    <p class="deep-pink">FIXE: 22 - 22 - 22 - 22</p>
                                    <p class="deep-pink">MOB: 90 - 90 - 90 - 90</p>
                                </div>
                            </div>
                        </div>
                        <!-- End:Phone Number -->

                        <!-- Start:Address -->
                        <div class="col-md-4">
                            <div class="features-box">
                                <div class="features-icon"><i class="fa fa-building-o"></i></div>
                                <div class="features-text">
                                    <h6>Adresse de l'entreprise</h6>
                                    <p>Vous pouvez directement visité notre entreprise</p>
                                    <p class="deep-pink">Gblinkomé, Lomé</p>
                                    <p class="deep-pink">Togo</p>
                                </div>
                            </div>
                        </div>
                        <!-- End:Address -->

                        <!-- Start:Email -->
                        <div class="col-md-4">
                            <div class="features-box">
                                <div class="features-icon"><i class="fa fa-envelope-o"></i></div>
                                <div class="features-text">
                                    <h6>Adresse mail</h6>
                                    <p>Nous sommes ravis de répondre à toutes vos questions</p>
                                    <p class="deep-pink">info@recrut.org</p>
                                    <p class="deep-pink">support@recrut.org</p>
                                </div>
                            </div>
                        </div>
                        <!-- End:Email -->
                    </div>
                    <!-- Start:Contact Details Area -->

                </div>
            </div>
        </div>
        <!-- End:Contact Info -->
        <!-- End:Contact form Area-->
        <div class="content-area light-grey">
            <div class="container">
                <div class="main-title">
                    <h2>Contact</h2>
                </div>
                <div class="contact-form-sec">
                    <form name="contact" method="post" id="contactForm" onsubmit="return false;">
                        <div id="contact-form">
                            <div class="row">
                                <div class="col-md-4">
                                    <input @if(auth()->check()) value="{{ auth()->user()->name }}" @endif id="name" type="text" placeholder="Votre nom (Requis)" class="text-field-box normal borderd" required>
                                </div>
                                <div class="col-md-4">
                                    <input @if(auth()->check()) value="{{ auth()->user()->email }}" @endif id="email" type="email" placeholder="Votre Email (Requis)" class="text-field-box normal borderd" required>
                                </div>
                                <div class="col-md-4">
                                    <input  id="website" type="text" placeholder="Site web (Optionel)" class="text-field-box normal borderd">
                                </div>
                                <input type="hidden" id="photo"
                                       @if(auth()->check())
                                           @if(auth()->user()->isCandidate())
                                            value="{{ url(env('STORAGE_PATH').'storage/uploads/candidates/'. auth()->user()->photo) }}"
                                           @elseif(auth()->user()->isRecruiter())
                                            value="{{ url(env('STORAGE_PATH').'storage/uploads/recruiters/'. auth()->user()->photo) }}"
                                           @else

                                           @endif
                                        @endif
                                >
                                <div class="container">
                                    <textarea id="message" class="text-field-box normal borderd" placeholder="Ajoutez votre commentaire ici..." required></textarea>
                                    <button name="contact" type="submit" id="contact-submit" class="button-normal" >Envoyez</button>
                                </div>
                            </div>
                        </div>
                        <div id="contact-loading" style="display: none;"> Envoi du mail... </div>
                        <div id="contact-success">
                            Votre message a été envoyé avec succès à notre équipe et ils vous répondront le plus tôt possible.
                        </div>
                        <div id="contact-failed" style="display: none;">
                            Erreur...!, L'envoi du message a échoué , Veuillez réessayer.
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- End:Contact form Area-->
    </section>
    <!-- =================================================
    Content Area End -->
@endsection

@push('scripts')
    <script>

            $("#contact-submit").click(function(){

                event.preventDefault(); // prevent default submit behaviour
                // get values from FORM
                $('#contact-loading').show()
                var name = $("input#name").val();
                var email = $("input#email").val();
                var message = $("textarea#message").val();
                var token = "{{ csrf_token() }}";
                var photo = $("#photo").val();

                $this = $("#contact-submit");
                $this.prop("disabled", true); // Disable submit button until AJAX call is complete to prevent duplicate messages
                $.ajax({
                    url: "contactmail",
                    type: "POST",
                    data: {
                        name: name,
                        email: email,
                        message: message,
                        photo: photo,
                        _token: token
                    },
                    cache: false,
                    success: function() {
                        // Success message
                        $('#contact-loading').hide()
                        $('#contact-success').show()
                        //clear all fields
                        $('#contactForm').trigger("reset");
                    },
                    error: function() {
                        // Fail message
                        $('#contact-loading').hide()
                        $('#contact-failed').show()
                        //clear all fields
                        $('#contactForm').trigger("reset");
                    },
                    complete: function() {
                        setTimeout(function() {
                            $this.prop("disabled", false); // Re-enable submit button when AJAX call is complete
                        }, 1000);
                    }
                });
            });
    </script>
@endpush