@extends('extranet.layouts.app')

@section('content')

<!-- Content Area Start
    ====================================================== -->
<section class="content-area-sec" id="detail">
    <!-- Start:Job Detailed Info Area-->
    <div class="container">
        <div class="job-detailed-info-sec">
            <div class="content-area">

                <!-- Start:Left (Job Details )-->
                <div class="col-md-8 left-sec">
                    <div class="company-detail">
                        <div class="logo">
                            @if($offer->recruiter->user->photo)
                                <img src="{{ url(env('STORAGE_PATH').'storage/uploads/recruiters/'. $offer->recruiter->user->photo) }}" alt="">
                            @else
                                <i class="far fa-bookmark"></i>
                            @endif
                        </div>
                        <div class="title">
                            <h4>{{ $offer->recruiter->company }}</h4>
                            <h6 style="color: #888"><i>{{ $offer->domain->name }}</i></h6>
                            <p><a href="http://{{ $offer->website }}" target="_blank"><i class="fa fa-link"></i> Visitez notre site web</a></p>
                        </div>
                    </div>
                    <div class="job-detail-content">
                        <p>{!! $offer->description !!}</p>

                    </div>

                    <!-- Start: Tab  Area -->
                    <div class="tab-area">
                        <!--Start:tab-menu -->
                        <ul class="tab-menu">
                            <li class="active" rel="tab1">Compétences requises</li>
                            <li rel="tab2">Mode</li>
                            <li rel="tab3">Entreprise</li>
                            <li rel="tab4">Adresse</li>
                        </ul>
                        <!--End:tab-menu -->

                        <!--Start:tab-container -->
                        <div class="tab-container">
                            <!--Start:tab1 -->
                            <h6 class="tab-heading" rel="tab1">Compétences requises</h6>
                            <div id="tab1" class="tab-content">
                                <ul class="list-style-icon-hand">
                                    <li>{{ $offer->grade->name }}</li>
                                    <li>{!! $offer->skills !!}</li>
                                </ul>
                            </div>
                            <!-- End:tab1 -->


                            <!--Start:tab2 -->
                            <h6 class=" tab-heading" rel="tab2">Mode</h6>
                            <div id="tab2" class="tab-content">
                                <ul class="list-style-icon-hand">
                                    <li>{{ $offer->workmode }}</li>
                                    <li>{{ $offer->posttype ? $offer->posttype->name : '' }}</li>
                                    <li>{{ $offer->contracttype ? $offer->contracttype->name : '' }}</li>
                                </ul>
                            </div>
                            <!-- End:tab2 -->

                            <!--Start:tab2 -->
                            <h6 class=" tab-heading" rel="tab3">Entreprise</h6>
                            <div id="tab3" class="tab-content">
                                <ul class="list-style-icon-hand">
                                    <li>{{ $offer->company_type }}</li>
                                    <li>{{ $offer->company_dimension }}</li>
                                    <li>{{ $offer->company_description }}</li>
                                </ul>
                            </div>
                            <!-- End:tab2 -->

                            <!--Start:tab2 -->
                            <h6 class=" tab-heading" rel="tab4">Adresse</h6>
                            <div id="tab4" class="tab-content">
                                <ul class="list-style-icon-hand">
                                    <li>{{ $offer->address }}</li>
                                    <li>{{ $offer->contacts }}</li>
                                    <li>{{ $offer->recruiter->user->telephone }}</li>
                                </ul>
                            </div>
                            <!-- End:tab2 -->
                        </div>
                        <!--End:tab-container -->
                    </div>
                    <!-- End: Tab Area -->

                </div>
                <!-- End:Left (Job Details )-->

                <!-- Start:Right (Job Overview )-->
                <div class="col-md-4 right-sec">
                    <div class="job-overview-sec">
                        <div class="heading-dft"><h4>Détails de l'offre</h4></div>
                        <div class="overview-box">
                            <ul class="overview-items">
                                <li>
                                    <span>A postuler avant le</span>
                                    <p>{{ $offer->date_end->format('d/m/Y') }}</p>
                                </li>
                                <li>
                                    <span>Lieu</span>
                                    <p>{{ $offer->address }}</p>
                                </li>
                                <li>
                                    <span>Titre de l'offre</span>
                                    <p>{{ $offer->name }}</p>
                                </li>

                                <li>
                                    <span>Horaires</span>
                                    <p>{{ $offer->hours }}</p>
                                </li>
                                <li>
                                    <span>Salaire</span>
                                    <p>FCFA {{ $offer->salary_min }} - {{ $offer->salary_max }}</p>
                                </li>
                            </ul>
                            <a class="button-large" href="{{ route('showOffer', $offer->id) }}">Postuler à l'offre</a>
                        </div>
                    </div>
                </div>
                <!-- Start:Right (Job Overview )-->
            </div>
        </div>
    </div>
    <!-- End:Job Detailed Info Area-->

</section>
<!-- =================================================
Content Area End -->

@endsection