@extends('intranet.layouts.app')

@section('content')

<!-- Begin Page Content -->
        <div class="container-fluid" style="">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-building"></i> Entreprises</h1>
            <a href="companies/create" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-plus-circle fa-sm text-white-50"></i> Ajouter une entreprise</a>
          </div>

          <p class="mb-4">Vous avez la possibilité de consulter les entreprises inscrites sur la plateforme.</p>

          {{--<div style="float: right">--}}
            {{--<a class="btn btn-primary float-right" href="companies/create">Ajouter une Entreprise</a>--}}
          <div style="clear: both"></div>
          <br>
          {{--</div>--}}

          <!-- DataTales Example -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Photo</th>
                      <th>Nom de l'entreprise</th>
                      <th>Domaine</th>
                      <th>Adresse</th>
                      <th>Site web</th>
                      <th>Email</th>
                      <th>Téléphone</th>
                      <th>Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                     @foreach($datas as $data)
                    <tr>
                      <td align="center"><a href="{{ url(env('STORAGE_PATH').'storage/uploads/companies/'. $data->photo) }}" target="_blank"><img src="{{ url(env('STORAGE_PATH').'storage/uploads/companies/'. $data->photo) }}" alt="" style="width: 60px; height: 60px; object-fit: cover; border-radius: 50em"></a></td>
                      <td>{{ $data->name }}</td>
                      <td>{{ $data->domain->name }}</td>
                      <td>{{ $data->address }}</td>
                      <td><a href="http://{{ $data->website }}" target="_blank">{{ $data->website }}</a></td>
                      <td><a href="mailto:{{ $data->email }}">{{ $data->email }}</a></td>
                      <td><a href="tel:{{ $data->telephone }}">{{ $data->telephone }}</a></td>
                      <td>
                        <a href="{{ route('showCompany', $data->id) }}" title="Détails"><i class="fas fa-eye"></i></a>
                        <a href="{{ route('companies.edit', $data->id) }}" title="Modifier"><i class="fas fa-pen"></i></a>
                        <a href="#" data-href="{{ route('companies.destroy', $data->id) }}" title="Supprimer" data-toggle="modal" data-target="#DeleteModal"><i class="fas fa-trash"></i></a>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>

        </div>
        <!-- /.container-fluid -->

@endsection

@push('scripts')
  <script>
      $('#deleteBtn').click(function(){
          window.location = $('#deleteLink').attr('data-href')
      })
  </script>
@endpush