@extends('intranet.layouts.app')

@section('content')

<!-- Begin Page Content -->
        <div class="container-fluid" style="">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-sticky-note"></i> Offres</h1>
            @if(auth()->user()->isRecruiter())
              <a href="offers/create" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-plus-circle fa-sm text-white-50"></i> Ajouter une offre</a>
            @endif
          </div>

          <p class="mb-4">Vous avez la possibilité de consulter les offres publiées sur la plateforme.</p>

          @if($msg)
          <div class="col-lg-12">
            <div class="card bg-success text-white shadow" style="padding: 10px">
              {{ $msg }}
            </div>
          </div>
          @endif

          {{--<div style="float: right">--}}
            {{--<a class="btn btn-primary float-right" href="companies/create">Ajouter une Entreprise</a>--}}
          <div style="clear: both"></div>
          <br>
          {{--</div>--}}

          <!-- DataTales Example -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Recruteur</th>
                      <th>Entreprise</th>
                      <th>Titre</th>
                      <th>Domaine</th>
                      <th>Référence</th>
                      <th>Date d'embauche</th>
                      <th>Site web</th>
                      <th>Postuler</th>
                      <th>Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                     @foreach($datas as $data)
                    <tr>

                      <td>
                        @if($data->recruiter_id == 1)
                          <b>Admin</b>
                        @else

                          <b><a href="{{ route('showRecruiter', $data->recruiter_id) }}" target="_blank">{{ $data->recruiter->user->name }}</a></b></td>
                        @endif
                      <td>{{ $data->company_name }}</td>
                      <td>{{ $data->name }}</td>
                      <td>{{ $data->domain->name }}</td>
                      <td>{{ $data->referency }}</td>
                      <td>{{ $data->date_engage }}</td>
                      <td><a href="https://{{ $data->website }}" target="_blank">{{ $data->website }}</a></td>
                      <td>
                        @if(auth()->user()->isCandidate())
                          @php
                          $post = false;
                            foreach($postulates as $postulate){
                              if($postulate->offer_id == $data->id AND $postulate->candidate->user_id == auth()->user()->id){
                                $post = true;
                                $date = $postulate->created_at;
                                break;
                              }
                            }
                          @endphp

                          @if($post)
                            <i class="fas fa-check" style="color: green; text-align: center;"></i>
                            <br>
                            <i style="color: green">{{ $date }}</i>
                          @else
                            <a href="#" class="btn-postulate" data-offer="{{ $data->id }}" data-toggle="modal" data-target="#postulateModal"><button class="btn btn-success">Postuler</button></a>
                          @endif
                        @endif
                      </td>
                      <td>
                        <a href="{{ route('showOffer', $data->id) }}" title="Détails"><i class="fas fa-eye"></i></a>

                        @if(($data->isBusy() AND $data->recruiter_id == auth()->user()->id))
                          <a href="{{ route('offers.edit', $data->id) }}" title="Modifier"><i class="fas fa-pen"></i></a>
                          <a id="deleteLink" href="#" data-href="{{ route('offers.destroy', $data->id) }}" title="Supprimer"><i class="fas fa-trash"></i></a>
                        @elseif(auth()->user()->isAdmin())
                          <a id="deleteLink" href="#" data-href="{{ route('offers.destroy', $data->id) }}" title="Supprimer"><i class="fas fa-trash"></i></a>
                        @endif
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>

        </div>
        <!-- /.container-fluid -->

@endsection

@push('scripts')
  <script>
    var offer_id = null
    $('.btn-postulate').click(function(){
        offer_id  = $(this).attr('data-offer')
    })
    $('#postulate').click(function(){
        var form = $('#formPostulate')
        $('[name="offer_id"]').val(offer_id)
        form.submit()
    })

    $('#deleteBtn').click(function(){
        window.location = $('#deleteLink').attr('data-href')
    })

  </script>
@endpush