@extends('intranet.layouts.app')

@section('content')

<!-- Begin Page Content -->
        <div class="container-fluid" style="">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-sticky-note"></i> Postulats</h1>
            {{--<a href="posulates/create" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-plus-circle fa-sm text-white-50"></i> Ajouter une offre</a>--}}
          </div>

          <p class="mb-4">Vous avez la possibilité de consulter les différents postulats sur la plateforme.</p>

          @if($msg)
            <div class="col-lg-12">
              <div class="card bg-success text-white shadow" style="padding: 10px">
                {{ $msg }}
              </div>
            </div>
          @endif

          {{--<div style="float: right">--}}
            {{--<a class="btn btn-primary float-right" href="companies/create">Ajouter une Entreprise</a>--}}
          <div style="clear: both"></div>
          <br>
          {{--</div>--}}

          <!-- DataTales Example -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Date de postulat</th>
                      <th>Offres</th>
                      <th>Recruiteurs</th>
                      <th>Candidats</th>
                      <th>CV</th>
                      <th>Lettre de motivation</th>
                      <th>Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                     @foreach($datas as $data)
                    <tr>
                      <td>{{ $data->created_at }}</td>
                      <td><b><a href="{{ route('showOffer', $data->offer_id) }}" target="_blank">{{ $data->offer ? $data->offer->name : '' }}</a></b></td>
                      <td><b><a href="{{ route('showRecruiter', $data->offer ? $data->offer->recruiter_id : '') }}" target="_blank">{{ $data->offer ? $data->offer->recruiter->user->name : '' }}</a></b></td>
                      <td><b><a href="{{ route('showCandidate', $data->candidate_id) }}" target="_blank">{{ $data->candidate ? $data->candidate->user->name : '' }}</a></b></td>
                      <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/cvs/'. $data->candidate ? $data->candidate->user->cv : '') }}" target="_blank">Consulter</a></b></td>
                      <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/motivations/'. $data->motivation) }}" target="_blank">Voir</a></b></td>
                      <td>
                        @if(auth()->user()->isAdmin())
                          <a id="deleteLink" href="#" data-href="{{ route('postulates.destroy', $data->id) }}" data-toggle="modal" data-target="#DeleteModal" title="Supprimer"><i class="fas fa-trash"></i></a>
                        @endif
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>

        </div>
        <!-- /.container-fluid -->

@endsection

@push('scripts')
  <script>
      $('#deleteBtn').click(function(){
          window.location = $('#deleteLink').attr('data-href')
      })
  </script>
@endpush