<?php $__env->startSection('content'); ?>

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Utilisateurs</h1>
        <p class="mb-4">Modifier mon profil</p>

        <?php if($msg): ?>
            <div class="col-lg-12">
                <div class="card bg-success text-white shadow" style="padding: 10px">
                    <?php echo e($msg); ?>

                </div>
            </div>
            <br>
        <?php endif; ?>

    

    <!-- DataTales Example -->
        <div class="panel-body">
            <form class="form-horizontal" method="POST" action="<?php echo e(route('users.update', $data->user->id)); ?>" enctype="multipart/form-data">
                <?php echo e(csrf_field()); ?>

                <?php echo e(method_field('PUT')); ?>


                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Photo de profil</label>
                        <input id="name" type="file" class="form-control" name="photo" value="<?php echo e(old('name')); ?>" autofocus>
                    </div>
                </div>

                <?php if(auth()->user()->isCandidate()): ?>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom</label>
                            <input value="<?php echo e($data->candidate->lastname); ?>" placeholder="Nom" id="name" type="text" class="form-control" name="lastname" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Prénoms</label>
                            <input value="<?php echo e($data->candidate->firstname); ?>" id="name" type="text" placeholder="Prénoms" class="form-control" name="firstname" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Date de naissance</label>
                            <input value="<?php echo e($data->candidate->bornday); ?>" placeholder="Type" id="name" type="date" class="form-control" name="bornday" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Genre</label>
                            <select name="sex" id="">
                                <option <?php if($data->candidate->sex == 'Masculin'): ?> selected <?php endif; ?>>Masculin</option>
                                <option <?php if($data->candidate->sex == 'Féminin'): ?> selected <?php endif; ?>>Féminin</option>
                                <option <?php if($data->candidate->sex == 'Autre'): ?> selected <?php endif; ?>>Autre</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Domaine d'activité</label>
                            <select name="domain_id" id="">
                                <?php $__currentLoopData = $data->domains; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $domain): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($data->candidate->domain_id == $domain->id): ?> selected <?php endif; ?>><?php echo e($data->candidate->domain->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>

                <?php elseif(auth()->user()->isRecruiter()): ?>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom</label>
                            <input value="<?php echo e($data->recruiter->lastname); ?>" id="name" type="text" placeholder="Nom" class="form-control" name="firstname" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Prénoms</label>
                            <input value="<?php echo e($data->recruiter->firstname); ?>" placeholder="Type" id="name" type="text" class="form-control" name="lastname" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Date de naissance</label>
                            <input value="<?php echo e($data->recruiter->bornday); ?>" placeholder="Type" id="name" type="date" class="form-control" name="bornday" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Fonction</label>
                            <input value="<?php echo e($data->recruiter->work); ?>" placeholder="Type" id="name" type="text" class="form-control" name="work" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Entreprise</label>
                            <input value="<?php echo e($data->recruiter->company); ?>" placeholder="Type" id="name" type="text" class="form-control" name="company" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Domaine d'activité</label>
                            <select name="domain_id" id="">
                                <?php $__currentLoopData = $data->domains; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $domain): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($data->candidate->domain_id == $domain->id): ?> selected <?php endif; ?>><?php echo e($data->candidate->domain->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom & Prénoms</label>
                            <input value="<?php echo e($data->user->name); ?>" id="name" type="text" placeholder="Nom" class="form-control" name="name" value="<?php echo e(old('name')); ?>" required autofocus>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Téléphone</label>
                        <input value="<?php echo e($data->user->telephone); ?>" placeholder="Téléphone" id="name" type="text" class="form-control" name="telephone" value="<?php echo e(old('name')); ?>" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Adresse</label>
                        <input value="<?php echo e($data->user->address); ?>" placeholder="Adresse" id="name" type="text" class="form-control" name="address" value="<?php echo e(old('name')); ?>" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Selectionnez votre dernier diplôme</label>
                        <select name="grade" id="" class="form-control">
                            <option value="">Selectionnez votre dernier diplôme</option>
                            <option <?php if($data->user->grade == 'CEPD'): ?> selected <?php endif; ?>>CEPD</option>
                            <option <?php if($data->user->grade == 'BEPC'): ?> selected <?php endif; ?>>BEPC</option>
                            <option <?php if($data->user->grade == 'BAC 1'): ?> selected <?php endif; ?>>BAC 1</option>
                            <option <?php if($data->user->grade == 'BAC 2'): ?> selected <?php endif; ?>>BAC 2</option>
                            <option <?php if($data->user->grade == 'BT'): ?> selected <?php endif; ?>>BT</option>
                            <option <?php if($data->user->grade == 'Attestation Formation'): ?> selected <?php endif; ?>>Attestation Formation</option>
                            <option <?php if($data->user->grade == 'DTS'): ?> selected <?php endif; ?>>DTS</option>
                            <option <?php if($data->user->grade == 'DUT'): ?> selected <?php endif; ?>>DUT</option>
                            <option <?php if($data->user->grade == 'BTS'): ?> selected <?php endif; ?>>BTS</option>
                            <option <?php if($data->user->grade == 'Licence Professionnelle'): ?> selected <?php endif; ?>>Licence Professionnelle</option>
                            <option <?php if($data->user->grade == 'Master 1'): ?> selected <?php endif; ?>>Master 1</option>
                            <option <?php if($data->user->grade == 'Master 2'): ?> selected <?php endif; ?>>Master 2</option>
                            <option <?php if($data->user->grade == 'Doctorat'): ?> selected <?php endif; ?>>Doctorat</option>
                            <option <?php if($data->user->grade == 'Aggregat'): ?> selected <?php endif; ?>>Aggregat</option>
                            <option <?php if($data->user->grade == 'Professorat'): ?> selected <?php endif; ?>>Professorat</option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Charger Dernier diplôme</label>
                        <input value="<?php echo e($data->user->grade_file); ?>" placeholder="Dernier diplôme" id="name" type="file" class="form-control" name="grade_file" value="<?php echo e(old('name')); ?>" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">CV</label>
                        <input value="<?php echo e($data->user->cv); ?>" placeholder="CV" id="name" type="file" class="form-control" name="cv" value="<?php echo e(old('name')); ?>"  autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Carte d'identité</label>
                        <input value="<?php echo e($data->user->card); ?>" placeholder="Carte d'identité" id="name" type="file" class="form-control" name="card" value="<?php echo e(old('name')); ?>"  autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Email</label>
                        <input value="<?php echo e($data->user->email); ?>" placeholder="Email" id="name" type="email" class="form-control" name="email" value="<?php echo e(old('name')); ?>" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Mot de passe</label>
                        <input value="" placeholder="Mot de passe" id="name" type="password" class="form-control" name="password" value="<?php echo e(old('name')); ?>" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Confirmation Mot de passe</label>
                        <input placeholder="Confirmation mot de passe" id="name" type="password" class="form-control" name="confirm_password" value="<?php echo e(old('name')); ?>" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12 col-md-offset-4">
                        <button type="submit" class="btn btn-primary">
                            Modifier
                        </button>
                    </div>
                </div>

            </form>
        </div>

    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('intranet.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\recrut\resources\views/intranet/user/edit.blade.php ENDPATH**/ ?>