<!DOCTYPE html>
<html lang="en">

<?php
    $user = \Illuminate\Support\Facades\Auth::user();
?>

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Recrut TM | Intranet</title>

    <!-- Custom fonts for this template-->
    <link href="<?php echo e(asset('admin')); ?>/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="<?php echo e(asset('admin')); ?>/css/sb-admin-2.min.css" rel="stylesheet">

    <style>
        form input, select, textarea{
            background: #e3e3e3 !important;
            border: none !important;
            font-size: 14px !important;
        }
        form{
            font-size: 14px !important;
        }
        .tab-details td{
            padding: 4px
        }
        .tab-details b{
            color: #000
        }
        .img-details{
            width: 350px;
            height: 350px;
            object-fit: cover;
            border-radius: 1em
        }
    </style>

</head>

<body id="page-top">

<!-- Page Wrapper -->
<div id="wrapper">

        <?php echo $__env->make('intranet.layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

        <!-- Main Content -->
        <div id="content">

            <?php echo $__env->make('intranet.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <?php echo $__env->yieldContent('content'); ?>

        </div>
        <!-- End of Main Content -->

    <?php echo $__env->make('intranet.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </div>
    <!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>

<!-- Postulat Modal-->
<div class="modal fade" id="postulateModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form action="<?php echo e(route('postulate')); ?>" method="post" enctype="multipart/form-data" id="formPostulate">
                <?php echo e(csrf_field()); ?>

                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Postulat</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Etes-vous sûr de vouloir postuler à cette offre ?
                    <br> Si oui importez votre lettre de motivation afin de completer votre dossier.
                </div>
                <div class="form-group" style="padding: 15px">
                    <input type="file" name="motivation">
                    <input type="hidden" name="candidate_id" value="<?php echo e(auth()->user()->id); ?>">
                    <input type="hidden" name="offer_id">
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" id="postulate" href="#">Postuler</a>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- Delete Modal-->
<div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Suppression</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Etes-vous sûre de votre action ?</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Non</button>
                <a class="btn btn-primary" id="deleteBtn" href="#">Continuer</a>
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap core JavaScript-->
<script src="<?php echo e(asset('admin/')); ?>/vendor/jquery/jquery.min.js"></script>
<script src="<?php echo e(asset('admin/')); ?>/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="<?php echo e(asset('admin/')); ?>/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="<?php echo e(asset('admin/')); ?>/js/sb-admin-2.min.js"></script>

<!-- Page level plugins -->
<script src="<?php echo e(asset('admin/')); ?>/vendor/chart.js/Chart.min.js"></script>

<!-- Page level custom scripts -->
<script src="<?php echo e(asset('admin/')); ?>/js/demo/chart-area-demo.js"></script>
<script src="<?php echo e(asset('admin/')); ?>/js/demo/chart-pie-demo.js"></script>

<!-- TINY MCE -->
<script src="https://cdn.tiny.cloud/1/no-api-key/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
<script>
//    tinymce.init({
//        selector:'textarea',
//        language : "nl"
//    });
</script>

<?php echo $__env->yieldPushContent('scripts'); ?>

</body>

</html>
<?php /**PATH C:\xampp\htdocs\recrut\resources\views/intranet/layouts/app.blade.php ENDPATH**/ ?>