<?php $__env->startSection('content'); ?>

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-sticky-note"></i> Offres</h1>
        <p class="mb-4">Vous avez la possibilité de consulter les offres publiées sur la plateforme.</p>

        <!-- DataTales Example -->
        <div class="card shadow mb-4">
            <div class="card-header py-3" style="display: flex; justify-content: space-between">
                <div>
                    <h6 class="m-0 font-weight-bold text-primary">Détails</h6>
                </div>
                <div>
                    <?php if(auth()->user()->isCandidate()): ?>
                        <?php
                            $post = false;
                              foreach($postulates as $postulate){
                                if($postulate->offer_id == $data->id AND $postulate->candidate->user_id == auth()->user()->id){
                                  $post = true;
                                  $date = $postulate->created_at;
                                  break;
                                }
                              }
                        ?>

                        <?php if($post): ?>
                            <i class="fas fa-check" style="color: green; text-align: center;"></i>
                            <br>
                            <i style="color: green"><?php echo e($date); ?></i>
                        <?php else: ?>
                        <a href="#" class="btn-postulate" data-offer="<?php echo e($data->id); ?>" data-toggle="modal" data-target="#postulateModal"><button class="btn btn-success">Postuler</button></a>
                        <?php endif; ?>
                    <?php endif; ?>
                    <a href="<?php echo e(route('offers.index')); ?>"><button class="btn btn-secondary">Retour</button></a>
                </div>
            </div>
            <div class="card-body col-lg-12" style="display: flex; justify-content: space-between">
                <div class="col-lg-6">
                    <table class="tab-details">
                        <tr>
                            <td>Titre</td>
                            <td><b><?php echo e($data->name); ?></b></td>
                        </tr>
                        <tr>
                            <td>Date début postulat</td>
                            <td><b><?php echo e($data->date_begin); ?></b></td>
                        </tr>
                        <tr>
                            <td>Date fin postulat</td>
                            <td><b><?php echo e($data->date_end); ?></b></td>
                        </tr>
                        <tr>
                            <td>Référence</td>
                            <td><b><?php echo e($data->referency); ?></b></td>
                        </tr>
                        <tr>
                            <td>Nom de l'entreprise</td>
                            <td><b><?php echo e($data->company_name); ?></b></td>
                        </tr>
                        <tr>
                            <td>Horaires</td>
                            <td><b><?php echo e($data->hours); ?></b></td>
                        </tr>
                        <tr>
                            <td>Salaire minimum</td>
                            <td><b><?php echo e($data->salary_min); ?></b></td>
                        </tr>
                        <tr>
                            <td>Salaire maximum</td>
                            <td><b><?php echo e($data->salary_max); ?></b></td>
                        </tr>
                        <tr>
                            <td>Diplôme minimum</td>
                            <td><b><?php echo e($data->study_grade); ?></b></td>
                        </tr>
                        <tr>
                            <td>Grade de l'entreprise</td>
                            <td><b><?php echo e($data->company_dimension); ?></b></td>
                        </tr>
                        <tr>
                            <td>Type d'entreprise</td>
                            <td><b><?php echo e($data->company_type); ?></b></td>
                        </tr>
                        <tr>
                            <td>Site Web</td>
                            <td><b><a href="<?php echo e($data->website); ?>" target="_blank"><?php echo e($data->website); ?></a></b></td>
                        </tr>
                        <tr>
                            <td>Date d'embauche</td>
                            <td><b><?php echo e($data->date_engage); ?></b></td>
                        </tr>
                        <tr>
                            <td>Domaine d'activité</td>
                            <td><b><?php echo e($data->domain ? $data->domain->name : ''); ?></b></td>
                        </tr>
                        <tr>
                            <td>Type de poste</td>
                            <td><b><?php echo e($data->posttype ? $data->posttype->name : ''); ?></b></td>
                        </tr>
                        <tr>
                            <td>Type de contrat</td>
                            <td><b><?php echo e($data->contracttype ? $data->contracttype->name : ''); ?></b></td>
                        </tr>
                        <tr>
                            <td>Description</td>
                            <td><b><?php echo $data->description; ?></b></td>
                        </tr>
                        <tr>
                            <td>Compétences</td>
                            <td><b><?php echo $data->skills; ?></b></td>
                        </tr>
                        <tr>
                            <td>Description de l'entreprise</td>
                            <td><b><?php echo $data->company_description; ?></b></td>
                        </tr>
                        <tr>
                            <td>Contacts</td>
                            <td><b><?php echo $data->contacts; ?></b></td>
                        </tr>
                    </table>
                </div>
                <div class="col-lg-6">
                    <i class="fas fa-sticky-note" style="font-size: 30em"></i>
                </div>
            </div>
        </div>

    </div>
    <!-- /.container-fluid -->

<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        var offer_id = null
        $('.btn-postulate').click(function(){
            offer_id  = $(this).attr('data-offer')
        })
        $('#postulate').click(function(){
            var form = $('#formPostulate')
            $('[name="offer_id"]').val(offer_id)
            form.submit()
        })

        $('#deleteBtn').click(function(){
            window.location = $('#deleteLink').attr('data-href')
        })

    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('intranet.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\recrut\resources\views/intranet/offer/show.blade.php ENDPATH**/ ?>