@extends('extranet.layouts.app')

@section('content')
<!-- Special Features Start
====================================================== -->
<section class="special-features-area">
    <!-- Start:Search Form area -->
    <form class="search-bar" action="{{ route('search') }}#offers-section" method="get">
        <div class="container">
            <ul class="search-form-area">
                <li><i class="fa fa-search"></i></li>
                <li><input placeholder="Mot-clé" class="text-field-box" name="key"></li>
                <li><input placeholder="Lieu" class="text-field-box" name="address"></li>
                <li>
                    <select class="text-field-box" name="domain_id">
                        <option value="">Tous les Domaines</option>
                        @foreach($domains as $domain)
                            <option value="{{ $domain->id }}">{{ $domain->name }}</option>
                        @endforeach
                    </select>
                </li>
                <li><button class="button-medium">Rechercher</button></li>
            </ul>
        </div>
    </form>
    <!-- End:Search Form area -->

    <!-- Start:Jobs Area-->
    <div class="container">
        <div class="content-area">
            <div class="content-area-jobs">
                <div class="col-md-8">
                    <div class="heading-dft"><h4>Offres <span>Récentes</span></h4></div>
                    <div class="heading-dft"><h6><span>{{ $offers->count() }} </span>offres disponibles</h6></div>
                    <ul class="jobs-details-sec">
                        @foreach($offers as $offer)
                            <!-- Start:Job 1 -->
                                <li>
                                    <a href="{{ route('detail', $offer->id) }}#detail">
                                        <div class="thumb-holder">
                                            @if($offer->recruiter->user->photo)
                                                <img src="{{ url(env('STORAGE_PATH').'storage/uploads/recruiters/'. $offer->recruiter->user->photo) }}" alt="">
                                            @else
                                                <i class="far fa-bookmark"></i>
                                            @endif
                                        </div>
                                        <div class="info-box">
                                            <div class="title-div part-time">
                                                <h6>{{ $offer->name }} <span class="highlight"><i class="fa fa-bookmark"></i> {{ $offer->workmode }}</span></h6>
                                            </div>
                                            <div class="full-div">
                                                <p><em>{{ $offer->company_name }}</em> <span><i class="fa fa-map-marker"></i> {{ $offer->address }}</span> <span><i class="fa fa-calendar"></i>  {{ $offer->date_begin->format('d-m-Y') }} - {{ $offer->date_end->format('d-m-Y') }} </span></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- End:Job 1 -->
                        @endforeach


                    </ul>
                    {{--<a class="button-large left" href="{{ asset('site') }}/jobs.html">Voir plus</a>--}}
                </div>
                <div class="col-md-4">
                    <div class="jobs-slider-area">
                        <h4>Offres <Span>Sponsorisées</Span> </h4>
                        <!-- Start: Caurosel -->
                        <div id="demo">
                            <div id="job-slider" class="owl-carousel">

                                @foreach($offers as $offer)
                                    @if($offer->sponsorized)
                                        <!-- Start: Caurosel Item 01 -->
                                            <div class="item">
                                                <div class="img-box">
                                                    @if($offer->recruiter->user->photo)
                                                        <img src="{{ url(env('STORAGE_PATH').'storage/uploads/recruiters/'. $offer->recruiter->user->photo) }}" alt="">
                                                    @else
                                                        <i class="far fa-bookmark"></i>
                                                    @endif
                                                </div>
                                                <div class="info-box">
                                                    <h6>{{ $offer->name }} </h6>
                                                    <p><span class="highlight"><i class="fa fa-bookmark"></i> {{ $offer->workmode }}</span><span><i class="fa fa-map-marker"></i> {{ $offer->address }}</span></p>
                                                    <p><span><i class="fa fa-calendar"></i>  {{ $offer->date_begin->format('d/m/Y') }} - {{ $offer->date_end->format('d/m/Y') }} </span></p>
                                                    <p>{!! $offer->description !!}</p>
                                                    <a href="{{ route('showOffer', $offer->id) }}" class="button-large">Postuler à cette offre</a>
                                                </div>
                                            </div>
                                            <!-- End: Caurosel Item 01 -->
                                    @endif
                                @endforeach

                                <!-- Start: Caurosel Item 01 -->
                                <div class="item">
                                    <div class="img-box">
                                        <img src="{{ asset('site') }}/img/job-slider-1.jpg" alt="">
                                    </div>
                                    <div class="info-box">
                                        <h6>Product Designer </h6>
                                        <p><span class="highlight"><i class="fa fa-bookmark"></i> Part Time</span><span><i class="fa fa-map-marker"></i> Landon</span></p>
                                        <p><span><i class="fa fa-calendar"></i>  Nov 10, 2015 - Feb 8, 2016 </span></p>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation</p>
                                        {{--<a href="{{ asset('site') }}/job-detail.html" class="button-large">Apply For This Job</a>--}}
                                    </div>
                                </div>
                                <!-- End: Caurosel Item 01 -->

                                <!-- Start: Caurosel Item 02 -->
                                <div class="item">
                                    <div class="img-box">
                                        <img src="{{ asset('site') }}/img/job-slider-2.jpg" alt="">
                                    </div>
                                    <div class="info-box">
                                        <h6>Product Designer </h6>
                                        <p><span class="highlight"><i class="fa fa-bookmark"></i> Part Time</span><span><i class="fa fa-map-marker"></i> Landon</span></p>
                                        <p><span><i class="fa fa-calendar"></i>  Nov 10, 2015 - Feb 8, 2016 </span></p>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation</p>
                                        {{--<a href="{{ asset('site') }}/job-detail.html" class="button-large">Apply For This Job</a>--}}
                                    </div>
                                </div>
                                <!-- End: Caurosel Item 02 -->

                                <!-- Start: Caurosel Item 03 -->
                                <div class="item">
                                    <div class="img-box">
                                        <img src="{{ asset('site') }}/img/job-slider-3.jpg" alt="">
                                    </div>
                                    <div class="info-box">
                                        <h6>Product Designer </h6>
                                        <p><span class="highlight"><i class="fa fa-bookmark"></i> Part Time</span><span><i class="fa fa-map-marker"></i> Landon</span></p>
                                        <p><span><i class="fa fa-calendar"></i>  Nov 10, 2015 - Feb 8, 2016 </span></p>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation</p>
{{--                                        <a href="{{ asset('site') }}/job-detail.html" class="button-large">Apply For This Job</a>--}}
                                    </div>
                                </div>
                                <!-- End: Caurosel Item 03 -->
                            </div>
                        </div>
                        <!-- End: Caurosel-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End:Jobs Area-->


    </div>
    <!-- End:feature contents area -->

</section>
<!-- =================================================
Special Features End -->


<!-- Content Area Start
====================================================== -->
<section class="content-area-sec">

    <!-- Start:Categories Area-->
    <div class="content-area-category">
        <div class="container">
            <div class="content-area">
                <div class="col-md-12">
                    <h4> Domaines <span>populaires</span></h4>
                </div>
                <!-- Start:Categories items-->
                <div class="col-md-12">
                    <ul class="category-button-area">
                        @foreach($domains as $domain)
                        <!-- Start: Item 01-->
                        <li>
                            <a href="{{ route('search') }}?domain_id={{ $domain->id }}&key=&address=#offers-section">
                                <div class="icon-div">
                                    <i class="fa fa-bookmark"></i>
                                </div>
                                <hr>
                                <span>{{ $domain->name }}</span>
                            </a>
                        </li>
                        <!-- End:Item 01-->
                        @endforeach

                        {{--<!-- Start: Item 02-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-building-o"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Construction / Facilities</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 02-->--}}

                        {{--<!-- Start: Item 03-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-car"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Automotive Jobs</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 03-->--}}

                        {{--<!-- Start: Item 04-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-medkit"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Healthcare</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 04-->--}}

                        {{--<!-- Start: Item 05-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-line-chart"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Accounting / Finance</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 05-->--}}

                        {{--<!-- Start: Item 06-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-graduation-cap"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Education Training</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 06-->--}}

                        {{--<!-- Start: Item 07-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-cutlery"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Restaurant / Food Service</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 07-->--}}

                        {{--<!-- Start: Item 08-->--}}
                        {{--<li>--}}
                            {{--<a href="#">--}}
                                {{--<div class="icon-div">--}}
                                    {{--<i class="fa fa-ship"></i>--}}
                                {{--</div>--}}
                                {{--<hr>--}}
                                {{--<span>Transportation / Logistics</span>--}}
                            {{--</a>--}}
                        {{--</li>--}}
                        {{--<!-- End:Item 08-->--}}

                    </ul>
                    {{--<a class="button-large" href="{{ asset('site') }}/category.html">Voir tous les domaines</a>--}}
                </div>
                <!-- End:Categories items-->
            </div>
        </div>
    </div>
    <!-- End:Categories Area-->

    <!-- Start:feature contents area-->
    <div class="container">
        <div class="home-feature-content">
            <div class="main-title">
                <h5>Ici vous pouvez voir</h5>
                <h2>Comment nous fonctionnons ?</h2>
            </div>

            <!-- Start:process 1-->
            <div class="col-md-4">
                <div class="item-box">
                    <div class="img-holder">
                        <img src="{{ asset('site') }}/img/process-1.png" alt="">
                    </div>
                    <div class="info-text-holder">
                        <h6> <a href="{{ asset('site') }}/login.html">1. Créer un compte</a></h6>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incidid ut labore et dolore magna aliqua. </p>
                    </div>
                </div>
            </div>
            <!-- End:process 1-->

            <!-- Start:process 2-->
            <div class="col-md-4">
                <div class="item-box">
                    <div class="img-holder">
                        <img src="{{ asset('site') }}/img/process-2.png" alt="">
                    </div>
                    <div class="info-text-holder">
                        <h6><a href="{{ asset('site') }}/jobs.html">2. Rechercher une offre désirée</a></h6>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incidid ut labore et dolore magna aliqua. </p>
                    </div>
                </div>
            </div>
            <!-- End:process 2-->

            <!-- Start:process 3-->
            <div class="col-md-4">
                <div class="item-box">
                    <div class="img-holder">
                        <img src="{{ asset('site') }}/img/process-3.png" alt="">
                    </div>
                    <div class="info-text-holder">
                        <h6><a href="{{ asset('site') }}/submit-resume.html">3. Envoyez votre demande</a></h6>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incidid ut labore et dolore magna aliqua. </p>
                    </div>
                </div>
            </div>
            <!-- End:process 3-->

        </div>

</section>
<!-- =================================================
Content Area End -->


<!-- Home blog Area Start
====================================================== -->
<section class="home-blog-area">
    <div class="container">
        <div class="home-blog-sec">
            <div class=" content-area">
                <div class="main-title">
                    <h5>Ici vous pouvez lire</h5>
                    <h2>Notre dernier blog</h2>
                </div>
                <!-- Start:Home Blog items-->
                <div class="home-blog-items-sec">
                    <!-- Start:Blog item 1-->
                    <div class="col-md-4">
                        <div class="item-box">
                            <div class=" img-holder">
                                <a  href="{{ asset('site') }}/img/home-blog-1.jpg" data-featherlight="image"><img src="{{ asset('site') }}/img/home-blog-1.jpg" alt=""></a>
                            </div>
                            <div class="info-text-holder">
                                <h6><a href="{{ asset('site') }}/single-article.html">How we can find a good and perfect job ?</a></h6>
                                <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium emque laudantium, totam rem aperiam.</p>
                                {{--<a href="{{ asset('site') }}/single-article.html" class="button-small">READ MORE</a>--}}
                            </div>
                        </div>
                    </div>
                    <!-- End:Blog item 1-->

                    <!-- Start:Blog item 2-->
                    <div class="col-md-4">
                        <div class="item-box">
                            <div class=" img-holder">
                                <a  href="{{ asset('site') }}/img/home-blog-2.jpg" data-featherlight="image"><img src="{{ asset('site') }}/img/home-blog-2.jpg" alt=""></a>
                            </div>
                            <div class="info-text-holder">
                                <h6><a href="{{ asset('site') }}/single-article.html">A dream job can secure your life for ever...!</a></h6>
                                <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium emque laudantium, totam rem aperiam.</p>
{{--                                <a href="{{ asset('site') }}/single-article.html" class="button-small">READ MORE</a>--}}
                            </div>
                        </div>
                    </div>
                    <!-- End:Blog item 2-->

                    <!-- Start:Blog item 3-->
                    <div class="col-md-4">
                        <div class="item-box">
                            <div class=" img-holder">
                                <a  href="{{ asset('site') }}/img/home-blog-3.jpg" data-featherlight="image"><img src="{{ asset('site') }}/img/home-blog-3.jpg" alt=""></a>
                            </div>
                            <div class="info-text-holder">
                                <h6><a href="{{ asset('site') }}/single-article.html">A job that is the perfect key to your life.</a></h6>
                                <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium emque laudantium, totam rem aperiam.</p>
{{--                                <a href="{{ asset('site') }}/single-article.html" class="button-small">READ MORE</a>--}}
                            </div>
                        </div>
                    </div>
                    <!-- End:Blog item 3-->

                </div>
                <!-- End:Home Blog items-->
                {{--<a href="{{ asset('site') }}/blog.html" class="button-large">VIEW MORE BLOGS</a>--}}
            </div>
        </div>
    </div>
</section>
<!-- =================================================
Home blog Area End -->


<!-- Download App Start
====================================================== -->
{{--<section class="download-app-area">--}}
    {{--<div class="download-app-sec" style="background:url(img/download-app.jpg) bottom center no-repeat fixed;--}}
        {{--background-size:cover;">--}}
        {{--<div class="mask">--}}
            {{--<div class="container">--}}
                {{--<div class="col-md-7 right-align">--}}
                    {{--<div class="right-area">--}}
                        {{--<h2>Download App Now !</h2>--}}
                        {{--<h5>Download the official app now</h5>--}}
                        {{--<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo.</p>--}}
                        {{--<a href="{{ asset('site') }}/#" class="down-app-btn" ><i class="fa fa-apple"></i>Download</a>--}}
                        {{--<a href="{{ asset('site') }}/#" class="down-app-btn"><i class="fa fa-android"></i>Download</a>--}}
                        {{--<a href="{{ asset('site') }}/#" class="down-app-btn"><i class="fa fa-windows"></i>Download</a>--}}
                    {{--</div>--}}
                {{--</div>--}}
                {{--<div class="col-md-5 left-align">--}}
                    {{--<div class="left-area">--}}
                        {{--<img src="{{ asset('site') }}/img/mobile.png" alt="">--}}
                    {{--</div>--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}
    {{--</div>--}}
{{--</section>--}}

@endsection

@push('scripts')
    <script>
        setInterval(function(){
            $('.owl-next').mouseup();
        }, 10000)
    </script>
@endpush

