@extends('intranet.layouts.app')

@section('content')

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-user"></i> Candidats</h1>
        <p class="mb-4">Vous avez la possibilité de consulter les candidats inscrits sur la plateforme.</p>

        @if($msg)
            <div class="col-lg-12">
                <div class="card bg-success text-white shadow" style="padding: 10px">
                    {{ $msg }}
                </div>
            </div>
        @endif

        <!-- DataTales Example -->
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Photo</th>
                            <th>Noms & prénoms</th>
                            <th>Domaine d'activité</th>
                            <th>Adresse</th>
                            <th>Email</th>
                            <th>Téléphone</th>
                            <th>CV</th>
                            <th>CIN</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($datas as $data)
                            <tr>
                                <td align="center"><a href="{{ url(env('STORAGE_PATH').'storage/uploads/candidates/'. $data->user->photo) }}" target="_blank"><img src="{{ url(env('STORAGE_PATH').'storage/uploads/candidates/'. $data->user->photo) }}" alt="" style="width: 60px; height: 60px; object-fit: cover; border-radius: 50em"></a></td>
                                <td>{{ $data->user->name }}</td>
                                <td>{{ $data->domain->name }}</td>
                                <td>{{ $data->user->address }}</td>
                                <td>{{ $data->user->email }}</td>
                                <td>{{ $data->user->telephone }}</td>
                                <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/cvs/'. $data->user->cv) }}" target="_blank">Voir</a></b></td>
                                <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/cards/'. $data->user->card) }}" target="_blank">Voir</a></b></td>
                                <td>
                                    @if(auth()->user()->id == $data->user_id OR auth()->user()->isAdmin() OR auth()->user()->isRecruiter())
                                        <a href="{{ route('showCandidate', $data->id) }}" title="Détails"><i class="fas fa-eye"></i></a>
                                    @endif
                                    @if(auth()->user()->isAdmin())
                                        <a href="#" data-href="{{ route('candidates.destroy', $data->id) }}" title="Supprimer" id="deleteLink" data-target="#DeleteModal" data-toggle="modal"><i class="fas fa-trash"></i></a>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <!-- /.container-fluid -->

@endsection

@push('scripts')
    <script>
        $('#deleteBtn').click(function(){
            window.location = $('#deleteLink').attr('data-href')
        })
    </script>
@endpush