@extends('intranet.layouts.app')

@section('content')

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Entreprises</h1>
        <p class="mb-4">Modifier une entreprise.</p>

    {{--</div>--}}

    <!-- DataTales Example -->
        <div class="panel-body">
            <form class="form-horizontal" method="POST" action="{{ route('companies.update', $data->id) }}" enctype="multipart/form-data">
                {{ csrf_field() }}
                {{ method_field('PUT') }}

                <div class="form-group">

                    <div class="col-md-12">
                        <input value="{{ $data->name }}" id="name" type="text" placeholder="Nom de l'entreprise" class="form-control" name="name" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">

                    <div class="col-md-12">
                        <input value="{{ $data->type }}" placeholder="Type" id="name" type="text" class="form-control" name="type" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">

                    <div class="col-md-12">
                        <input value="{{ $data->website }}" placeholder="Site Web" id="name" type="text" class="form-control" name="website" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">

                    <div class="col-md-12">
                        <select name="domain_id" id="" class="form-control">
                            <option value="">Sélectionnez votre domaine d'activité</option>
                            @foreach($domains as $domain)
                                <option @if($domain->id == $data->domain_id) selected @endif value="{{ $domain->id }}">{{ $domain->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <input value="{{ $data->address }}" placeholder="Adresse" id="name" type="text" class="form-control" name="address" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <input value="{{ $data->telephone }}" placeholder="Téléphone" id="name" type="text" class="form-control" name="telephone" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <input value="{{ $data->email }}" placeholder="Email" id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Importez une photo de l'entreprise</label>
                        <input id="name" type="file" class="form-control" name="photo" value="{{ old('name') }}" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12 col-md-offset-4">
                        <button type="submit" class="btn btn-primary">
                            Modifier
                        </button>
                    </div>
                </div>
            </form>
        </div>

    </div>
    <!-- /.container-fluid -->

@endsection