@extends('intranet.layouts.app')

@section('content')

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800"><i class="fas fa-user"></i> Recruteurs</h1>
        <p class="mb-4">Vous avez la possibilité de consulter les recruteurs inscrits sur la plateforme.</p>

        <!-- DataTales Example -->
        <div class="card shadow mb-4">
            <div class="card-header py-3" style="display: flex; justify-content: space-between">
                <div>
                    <h6 class="m-0 font-weight-bold text-primary">Détails</h6>
                </div>
                <div>
                    <a href="{{ route('companies.index') }}"><button class="btn btn-secondary">Retour</button></a>
                </div>
            </div>
            <div class="card-body col-lg-12" style="display: flex; justify-content: space-between">
                <div class="col-lg-6">
                    <table class="tab-details">
                        <tr>
                            <td>Nom</td>
                            <td><b>{{ $data->lastname }}</b></td>
                        </tr>
                        <tr>
                            <td>Prénoms</td>
                            <td><b>{{ $data->firstname }}</b></td>
                        </tr>
                        <tr>
                            <td>Date de naissance</td>
                            <td><b>{{ $data->bornday }}</b></td>
                        </tr>
                        <tr>
                            <td>Genre</td>
                            <td><b>{{ $data->sex }}</b></td>
                        </tr>
                        <tr>
                            <td>Email</td>
                            <td><b><a href="mailto:{{ $data->user->email }}">{{ $data->user->email }}</a></b></td>
                        </tr>
                        <tr>
                            <td>Téléphone</td>
                            <td><b><a href="tel:{{ $data->user->telephone }}">{{ $data->user->telephone }}</a></b></td>
                        </tr>
                        <tr>
                            <td>Adresse</td>
                            <td><b>{{ $data->user->address }}</b></td>
                        </tr>
                        <tr>
                            <td>Domaine d'activité</td>
                            <td><b>{{ $data->domain->name }}</b></td>
                        </tr>
                        <tr>
                            <td>Date d'inscription</td>
                            <td><b>{{ $data->created_at }}</b></td>
                        </tr>
                        <tr>
                            <td>CV</td>
                            <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/cvs/'. $data->user->cv) }}" target="_blank">Voir</a></b></td>
                        </tr>
                        <tr>
                            <td>Carte d'identité</td>
                            <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/cards/'. $data->user->card) }}" target="_blank">Voir</a></b></td>
                        </tr>
                        <tr>
                            <td>Dernier diplôme</td>
                            <td><b><a href="{{ url(env('STORAGE_PATH').'storage/uploads/grades/'. $data->user->grade_file) }}" target="_blank">{{ $data->user->grade }}</a></b></td>
                        </tr>
                    </table>
                </div>
                <div class="col-lg-6">
                    <img src="{{ url(env('STORAGE_PATH').'storage/uploads/candidates/'. $data->user->photo) }}" class="img-details" alt="">
                </div>
            </div>
        </div>

    </div>
    <!-- /.container-fluid -->

@endsection