@extends('intranet.layouts.app')

@section('content')

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <h1 class="h3 mb-2 text-gray-800">Utilisateurs</h1>
        <p class="mb-4">Modifier mon profil</p>

        @if($msg)
            <div class="col-lg-12">
                <div class="card bg-success text-white shadow" style="padding: 10px">
                    {{ $msg }}
                </div>
            </div>
            <br>
        @endif

    {{--</div>--}}

    <!-- DataTales Example -->
        <div class="panel-body">
            <form class="form-horizontal" method="POST" action="{{ route('users.update', $data->user->id) }}" enctype="multipart/form-data">
                {{ csrf_field() }}
                {{ method_field('PUT') }}

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Photo de profil</label>
                        <input id="name" type="file" class="form-control" name="photo" value="{{ old('name') }}" autofocus>
                    </div>
                </div>

                @if(auth()->user()->isCandidate())

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom</label>
                            <input value="{{ $data->candidate->lastname }}" placeholder="Nom" id="name" type="text" class="form-control" name="lastname" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Prénoms</label>
                            <input value="{{ $data->candidate->firstname }}" id="name" type="text" placeholder="Prénoms" class="form-control" name="firstname" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Date de naissance</label>
                            <input value="{{ $data->candidate->bornday }}" placeholder="Type" id="name" type="date" class="form-control" name="bornday" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Genre</label>
                            <select name="sex" id="">
                                <option @if($data->candidate->sex == 'Masculin') selected @endif>Masculin</option>
                                <option @if($data->candidate->sex == 'Féminin') selected @endif>Féminin</option>
                                <option @if($data->candidate->sex == 'Autre') selected @endif>Autre</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Domaine d'activité</label>
                            <select name="domain_id" id="">
                                @foreach($data->domains as $domain)
                                    <option @if($data->candidate->domain_id == $domain->id) selected @endif>{{ $data->candidate->domain->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                @elseif(auth()->user()->isRecruiter())

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom</label>
                            <input value="{{ $data->recruiter->lastname }}" id="name" type="text" placeholder="Nom" class="form-control" name="firstname" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Prénoms</label>
                            <input value="{{ $data->recruiter->firstname }}" placeholder="Type" id="name" type="text" class="form-control" name="lastname" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Date de naissance</label>
                            <input value="{{ $data->recruiter->bornday }}" placeholder="Type" id="name" type="date" class="form-control" name="bornday" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Fonction</label>
                            <input value="{{ $data->recruiter->work }}" placeholder="Type" id="name" type="text" class="form-control" name="work" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Entreprise</label>
                            <input value="{{ $data->recruiter->company }}" placeholder="Type" id="name" type="text" class="form-control" name="company" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Domaine d'activité</label>
                            <select name="domain_id" id="">
                                @foreach($data->domains as $domain)
                                    <option @if($data->candidate->domain_id == $domain->id) selected @endif>{{ $data->candidate->domain->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                @else
                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="">Nom & Prénoms</label>
                            <input value="{{ $data->user->name }}" id="name" type="text" placeholder="Nom" class="form-control" name="name" value="{{ old('name') }}" required autofocus>
                        </div>
                    </div>
                @endif

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Téléphone</label>
                        <input value="{{ $data->user->telephone }}" placeholder="Téléphone" id="name" type="text" class="form-control" name="telephone" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Adresse</label>
                        <input value="{{ $data->user->address }}" placeholder="Adresse" id="name" type="text" class="form-control" name="address" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Selectionnez votre dernier diplôme</label>
                        <select name="grade" id="" class="form-control">
                            <option value="">Selectionnez votre dernier diplôme</option>
                            <option @if($data->user->grade == 'CEPD') selected @endif>CEPD</option>
                            <option @if($data->user->grade == 'BEPC') selected @endif>BEPC</option>
                            <option @if($data->user->grade == 'BAC 1') selected @endif>BAC 1</option>
                            <option @if($data->user->grade == 'BAC 2') selected @endif>BAC 2</option>
                            <option @if($data->user->grade == 'BT') selected @endif>BT</option>
                            <option @if($data->user->grade == 'Attestation Formation') selected @endif>Attestation Formation</option>
                            <option @if($data->user->grade == 'DTS') selected @endif>DTS</option>
                            <option @if($data->user->grade == 'DUT') selected @endif>DUT</option>
                            <option @if($data->user->grade == 'BTS') selected @endif>BTS</option>
                            <option @if($data->user->grade == 'Licence Professionnelle') selected @endif>Licence Professionnelle</option>
                            <option @if($data->user->grade == 'Master 1') selected @endif>Master 1</option>
                            <option @if($data->user->grade == 'Master 2') selected @endif>Master 2</option>
                            <option @if($data->user->grade == 'Doctorat') selected @endif>Doctorat</option>
                            <option @if($data->user->grade == 'Aggregat') selected @endif>Aggregat</option>
                            <option @if($data->user->grade == 'Professorat') selected @endif>Professorat</option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Charger Dernier diplôme</label>
                        <input value="{{ $data->user->grade_file }}" placeholder="Dernier diplôme" id="name" type="file" class="form-control" name="grade_file" value="{{ old('name') }}" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">CV</label>
                        <input value="{{ $data->user->cv }}" placeholder="CV" id="name" type="file" class="form-control" name="cv" value="{{ old('name') }}"  autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Carte d'identité</label>
                        <input value="{{ $data->user->card }}" placeholder="Carte d'identité" id="name" type="file" class="form-control" name="card" value="{{ old('name') }}"  autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Email</label>
                        <input value="{{ $data->user->email }}" placeholder="Email" id="name" type="email" class="form-control" name="email" value="{{ old('name') }}" required autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Mot de passe</label>
                        <input value="" placeholder="Mot de passe" id="name" type="password" class="form-control" name="password" value="{{ old('name') }}" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12">
                        <label for="">Confirmation Mot de passe</label>
                        <input placeholder="Confirmation mot de passe" id="name" type="password" class="form-control" name="confirm_password" value="{{ old('name') }}" autofocus>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-12 col-md-offset-4">
                        <button type="submit" class="btn btn-primary">
                            Modifier
                        </button>
                    </div>
                </div>

            </form>
        </div>

    </div>
    <!-- /.container-fluid -->

@endsection