<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Recrut TM | Connexion</title>

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

    <link href="{{ asset('admin') }}/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <style>
        a{
            color: #fff !important;
            font-size: 14px !important;
            font-weight: bold;
        }
        *{
            font-size: 12px
        }
        form input, select{
            border: none !important;
            background: #e3e3e3 !important;
            box-shadow: none !important;
            font-size: 12px !important;
            /*margin-left: 10% !important;*/
        }
        .navbar-default{
            border: none !important;
            height: 25px;
            background: transparent !important;
        }
        #app{
            /*background: #eaeaea !important;*/
            background: url('{{ asset('assets/recrutement.jpg') }}');
        }
        /*.container{*/
            /*height: 800px;*/

        /*}*/
        .panel, .panel-heading{
            border: none !important;
        }
        .panel-heading{
            color: gray !important;
            display: flex;
            justify-content: space-between;
            font-weight: bold;
        }
        .password-bloc{
            position: relative
        }
        .password-bloc i{
            position: absolute;
            right: 20px;
            top: 10px;
            color: #aaa !important;
            cursor: pointer;
            font-size: 14px !important;
        }
        .password-bloc i:hover{
            color: #222 !important;
        }
    </style>
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                         RECRUT <sup>TM</sup>
                    </a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Authentication Links -->
                        @if (Auth::guest())
                            <li><a href="{{ route('login') }}">Connexion</a></li>
                            <li><a href="{{ route('register') }}">Inscription</a></li>
                        @else
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a href="{{ route('logout') }}"
                                            onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            Déconnexion
                                        </a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
                                </ul>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </nav>

        <div style="margin-top: 9%">
            @yield('content')
        </div>

        <div style="text-align: center; color: #eee">
            &copy; copyright Recrut TM 2019. Propulsé par <a href="http://sparkcorporation.org" style="color: steelblue; font-size: 12px">Spark Corporation</a>
        </div>
        <br><br>

    </div>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>

    <script>
        $('.passeye').click(function(){
            if($(this).hasClass('fa-eye-slash')){
                $('[name="password"]').attr('type', 'text')
                $('.fa-eye-slash').hide()
                $('.fa-eye').show()
            }else{
                $('[name="password"]').attr('type', 'password')
                $('.fa-eye-slash').show()
                $('.fa-eye').hide()
            }
        })
    </script>

</body>
</html>
