<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    $offers = \App\Models\Offer::all();
    $domains = \App\Models\Domain::all();
    return view('extranet.index', compact('offers', 'domains'));
})->name('index');

Route::get('offers', function () {
    $offers = \App\Models\Offer::all();
    $domains = \App\Models\Domain::all();
    return view('extranet.offers', compact('offers', 'domains'));
})->name('offers');

Route::get('detail/{id}', function($id){
    $offer = \App\Models\Offer::find($id);
    return view('extranet.detail', compact('offer'));
})->name('detail');

Route::get('contact', function(){
    return view('extranet.contact');
})->name('contact');

Route::get('search', function(\Illuminate\Http\Request $request){
    $data = $request->all();
    if($data['domain_id']){
        $offers = \App\Models\Offer::where('name', 'like', '%'.$data['key'].'%')
            ->where('domain_id', $data['domain_id'])
            ->where('address', 'like', '%'.$data['address'].'%')
//                                ->orWhere('name', 'like', '%'.$data['key'].'%')
//                                ->orWhere('referency', 'like', '%'.$data['key'].'%')
//                                ->orWhere('study_grade', 'like', '%'.$data['key'].'%')
//                                ->orWhere('skills', 'like', '%'.$data['key'].'%')
//                                ->orWhere('company_name', 'like', '%'.$data['key'].'%')
//                                ->orWhere('website', 'like', '%'.$data['key'].'%')
//                                ->orWhere('address', 'like', '%'.$data['key'].'%')
//                                ->orWhere('workmode', 'like', '%'.$data['key'].'%')
            ->get();
    }else{
        $offers = \App\Models\Offer::where('name', 'like', '%'.$data['key'].'%')
            ->where('address', 'like', '%'.$data['address'].'%')
//                                ->orWhere('name', 'like', '%'.$data['key'].'%')
//                                ->orWhere('referency', 'like', '%'.$data['key'].'%')
//                                ->orWhere('study_grade', 'like', '%'.$data['key'].'%')
//                                ->orWhere('skills', 'like', '%'.$data['key'].'%')
//                                ->orWhere('company_name', 'like', '%'.$data['key'].'%')
//                                ->orWhere('website', 'like', '%'.$data['key'].'%')
//                                ->orWhere('address', 'like', '%'.$data['key'].'%')
//                                ->orWhere('workmode', 'like', '%'.$data['key'].'%')
            ->get();
    }


    $domains = \App\Models\Domain::all();
    return view('extranet.offers', compact('offers', 'domains'));
})->name('search');

Route::any('contactmail', 'MailController@contactMail')->name('contactMail');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/home', 'HomeController@index')->name('home');

Route::post('/registercandidate', function(Illuminate\Http\Request $request){
    $data = $request->all();


    $data['type'] = 'Candidat';
    $data['role'] = 'standard';
    $data['password'] = bcrypt($data['password']);
    $data['name'] = $data['lastname'].' '.$data['firstname'];

    if(isset($data['photo'])){
        $data['photo'] = $request->file('photo')->hashName();
        $request->file('photo')->move(public_path('storage/uploads/candidates'), $data['photo']);
    }

    if(isset($data['grade_file'])){
        $data['grade_file'] = $request->file('grade_file')->hashName();
        $request->file('grade_file')->move(public_path('storage/uploads/grades'), $data['grade_file']);
    }

    if(isset($data['cv'])){
        $data['cv'] = $request->file('cv')->hashName();
        $request->file('cv')->move(public_path('storage/uploads/cvs'), $data['cv']);
    }

    if(isset($data['card'])){
        $data['card'] = $request->file('card')->hashName();
        $request->file('card')->move(public_path('storage/uploads/cards'), $data['card']);
    }

    $insertUser = \App\User::create($data);

    if($insertUser){
        $data['user_id'] = $insertUser->id;
        \App\Models\Candidate::create($data);
    }

    \Illuminate\Support\Facades\Auth::loginUsingId($insertUser->id);
    return redirect('/intranet/candidates');

})->name('registerCandidate');

Route::post('/registerrecruiter', function(Illuminate\Http\Request $request){
    $data = $request->all();
    $data['type'] = 'Recruteur';
    $data['role'] = 'standard';
    $data['password'] = bcrypt($data['password']);
    $data['name'] = $data['lastname'].' '.$data['firstname'];

    if(isset($data['photo'])){
        $data['photo'] = $request->file('photo')->hashName();
        $request->file('photo')->move(public_path('storage/uploads/recruiters'), $data['photo']);
    }


    if(isset($data['grade_file'])){
        $data['grade_file'] = $request->file('grade_file')->hashName();
        $request->file('grade_file')->move(public_path('storage/uploads/grades'), $data['grade_file']);
    }

    if(isset($data['cv'])){
        $data['cv'] = $request->file('cv')->hashName();
        $request->file('cv')->move(public_path('storage/uploads/cvs'), $data['cv']);
    }

    if(isset($data['card'])){
        $data['card'] = $request->file('card')->hashName();
        $request->file('card')->move(public_path('storage/uploads/cards'), $data['card']);
    }

    $insertUser = \App\User::create($data);

    if($insertUser){
        $data['user_id'] = $insertUser->id;
        \App\Models\Recruiter::create($data);
    }

    \Illuminate\Support\Facades\Auth::loginUsingId($insertUser->id);
    return redirect('/intranet/recruiters');

})->name('registerRecruiter');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::any('test', function (){
    dd(\Illuminate\Support\Facades\Auth::user());
});
